use LWP::Simple;
use LWP::UserAgent;
use HTML::TreeBuilder;
use HTTP::Request::Common qw(POST);
use Date::Simple;
use File::Basename;
use Time::Local;
use Encode;
use Time::Format qw(time_format time_strftime time_manip);

my $today = Date::Simple::today()->as_d8;


my @url = ('http://tv.so-net.ne.jp/chart/23.action?head='.$today.'0600&span=24&iepgType=0', 'http://tv.so-net.ne.jp/chart/bs1.action?head='.$today.'0600&span=24&iepgType=0');
my $host = 'http://tv.so-net.ne.jp';
my $prog = 'c:\rec\prog.txt';
my @param;
my @reserveprog;
my $reccmd = "c:\\rec\\RecTask_0.1.4\\rectask.exe /rec /chspace 0";
my $recpath = "e:\\recorded\\";

open (FILE, $prog) or die "$!";
while ( $line = <FILE>) {
    push(@reserveprog, $line);
}
close (FILE);

foreach $value (@url) {
    $tree = HTML::TreeBuilder->new;
    $tree->parse(get($value));

    my @lists = $tree->find_by_attribute("class","td-schedule");
    foreach my $node (@lists) {
        if ( defined $node->find_by_attribute("class","schedule-title") ) {
            $title = $node->find_by_attribute("class","schedule-title")->as_text();
        }
        elsif ( defined $node->find_by_attribute("class","schedule-titleC") ) {
            $title = $node->find_by_attribute("class","schedule-titleC")->as_text();
        } else {
            next;
        }

		$titleenc=encode("shiftjis",$title);

        if ( index($titleenc,'') >= 0) {
            next;
        }
         
        foreach my $prog (@reserveprog) {
            if ( index($titleenc,trim($prog)) >= 0 ) {
                my $a = $node->look_down(_tag => 'a' , class=> 'iepg');
                
                getstore($host.$a->attr('href'),"c:\\rec\\iepg.tvpid");
		`c:\\rec\\recsche-local.cmd c:\\rec\\iepg.tvpid`;
            }
        }
    }
}

$output = `schtasks | findstr rec_`;
@lines = split(/\n/, $output);

foreach $line (@lines) {
	@columns = split(/\s+/, $line);
	if ( $columns[1] eq "N/A" && $columns[2] eq "Ready" ) {
		`schtasks /tn $columns[0] /delete /f`
	}
}

sub trim {
    my @out = @_;
    for (@out) {
        s/^\s+//;
        s/\s+$//;
    }
    return wantarray ? @out : $out[0];
}

    
